# Update subscription pause

By using this method, merchants can modify the existing pause schedule, including the possibility of adjusting the start and end dates of the pause period.


  Note that if the subscription pause is active, only its end date can be updated, while an inactive pause allows for updates to both start and end dates.

Endpoint: PATCH /subscriptions/{subscription_id}/pause-schedule
Version: 1.0.0
Security: MerchantID

## Header parameters:

  - `merchant` (string, required)
    Unique public key provided upon registration and must be shared for identification purposes.
    Example: "api_pk_7b197...ba108f842"

  - `signature` (string, required)
    Request signature that allows verification of merchant authenticity on the payment gateway server.
    Example: "M2E3OTkyNzcz...xMmExODI4"

## Path parameters:

  - `subscription_id` (string, required)
    Unique subscription identifier.
    Example: "83b19018-cbc4-45f0-899a-dda84fd2705e"

## Request fields (application/json):

  - `start_point` (object)
    Defines the initial timestamp of the subscription pause period.

Depending on the type parameter,  it may represent a specific date.

  - `start_point.type` (string, required)
    Indicates the method of defining the pause period start.
    Enum: "immediate", "specific_date"

  - `start_point.date` (string)
    Indicates when the pause should start.


  Required if the type is specific_date.
    Example: "2025-03-09 12:53:12"

  - `stop_point` (object)
    Defines the concluding timestamp of the subscription pause period.

Depending on the type parameter,  it may represent a specific date.

  - `stop_point.type` (string, required)
    Indicates the method of defining the pause period end.
    Enum: "infinite", "specific_date"

  - `stop_point.date` (string)
    Indicates when the pause should end.


   Required if the type is specific_date.
   The minimum pause period between start_point: date and stop_point: date is 1 day and the maximum period is 60 years for the specific_date pause type.
    Example: "2025-03-23 08:13:46"

## Response 200 fields (application/json):

  - `id` (string, required)
    Unique subscription identifier.
    Example: "bd43b415-4321-6275-c137-b365462f9645"

  - `status` (string, required)
    Current subscription status. 

- active - the subscription is currently ongoing and charges are recurring
- paused - the subscription is temporarily on hold and there are no charges
    Enum: "active", "paused"

  - `pause` (object, required)
    Contains the details of the subscription pause.

  - `pause.from_date` (string, required)
    Start datetime of the subscription pause.
    Example: "2025-03-09 12:53:12"

  - `pause.to_date` (string)
    Planned end datetime of the subscription pause.
    Example: "2025-03-23 08:13:46"

## Response 400 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Error code.
    Example: "2.01"

  - `error.message` (string, required)
    Error message.
    Example: "Validation error"

  - `error.constraints` (object)
    Map of constraints.

## Response 401 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Error code indicating the specific authorization failure.
    Example: "1.01"

  - `error.message` (string, required)
    Descriptive message providing more details about the authorization failure.
    Example: "Authorization failed"

## Response 403 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Error code indicating that access to the service is denied.
    Example: "1.02"

  - `error.message` (string, required)
    Message informing that the service is not allowed for the account.
    Example: "Access denied"

## Response 404 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Error code.
    Example: "2.01"

  - `error.message` (string, required)
    Error message.
    Example: "{entityName} not found with id: {entityId}"

## Response 422 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Error code indicating that while the request is well-formed, it cannot be processed due to conflicting or incorrect data.
    Example: "2.01"

  - `error.message` (string, required)
    Descriptive message providing more details about the processing failure.
    Example: "Unprocessable entity"


